
<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button icon="chevron-back"></ion-back-button>
        </ion-buttons>
        <ion-title class="ion-font-lg ion-no-padding">Detalles</ion-title>
        <ion-buttons slot="end">
            <ion-button>
                <ion-icon name="share-social-outline" slot="icon-only"></ion-icon>
            </ion-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content>

    <ion-row>
        <ion-col>
            <ion-item lines="none">
                <ion-label color="dark">
                    <h2 class="ion-font-bold">{{ service.model?.name }}</h2>
                    <div class="ion-flex ion-flex-wrap">
                        <ion-text color="medium" class="ion-font-sm">
                          <span>Envio {{ service.model?.delivery }} &nbsp;</span>
                          <span>&#8226; Minimo ${{ service.model?.minPrice }}</span>
                        </ion-text>
                    </div>
                </ion-label>
                <ion-icon name="fast-food-outline" color="medium" slot="end"></ion-icon>
            </ion-item>
        </ion-col>
    </ion-row>

    <div class="app-divider"></div>

    <ion-row>
        <ion-col>
            <ion-list lines="none">
                <ion-list-header>
                    <strong>Ubicacion</strong>
                </ion-list-header>

                <ion-item style="--min-height: auto;">
                    <ion-text color="medium">
                        <span class="ion-font-sm">
                            {{ service.model?.location?.address }}
                        </span>
                    </ion-text>
                </ion-item><br>

                <ion-list-header>
                    <strong>Metodo de pago</strong>
                </ion-list-header>

                <ion-item style="--min-height: auto;">
                    <ion-label color="medium">
                        <strong class="ion-font-sm">Pago online</strong>
                    </ion-label>
                    <div class="ion-flex" slot="end">
                        <ng-template ngFor [ngForOf]="service.model?.creditCards" let-card>
                            <ng-container [ngSwitch]="card">
                                <ion-icon src="assets/img/master-card.svg" style="font-size: 36px;" *ngSwitchCase="CREDITCARDTYPE.MasterCard"></ion-icon>
                                <ion-icon src="assets/img/visa.svg" style="font-size: 36px;" *ngSwitchCase="CREDITCARDTYPE.VisaCard"></ion-icon>
                                <ion-icon name="close-circle-outline" color="danger" style="font-size: 36px;" *ngSwitchDefault></ion-icon>
                            </ng-container>

                        </ng-template>
                    </div>
                </ion-item>

                <ion-item style="--min-height: auto;">
                    <ion-label color="medium">
                        <strong class="ion-font-sm">Delivery</strong>
                    </ion-label>
                    <div class="ion-flex" slot="end">
                        <ion-icon name="checkmark-circle-outline" color="success" class="ion-font-xl" *ngIf="service.model?.acceptDelivery; else noDelivery"></ion-icon>
                        <ng-template #noDelivery>
                            <ion-icon name="close-circle-outline" color="danger" class="ion-font-xl"></ion-icon>
                        </ng-template>
                    </div>
                </ion-item>

                <ion-item style="--min-height: auto;">
                    <ion-label color="medium">
                        <strong class="ion-font-sm">Pickup</strong>
                    </ion-label>
                    <div class="ion-flex" slot="end">
                        <ion-icon name="checkmark-circle-outline" color="success" class="ion-font-xl" *ngIf="service.model?.acceptPickup; else noPickup"></ion-icon>
                        <ng-template #noPickup>
                            <ion-icon name="close-circle-outline" color="danger" class="ion-font-xl"></ion-icon>
                        </ng-template>
                    </div>
                </ion-item>

                <ion-list-header>
                    <strong>Tipo de Envio</strong>
                </ion-list-header>

                <ion-item style="--min-height: auto;">
                    <ion-label color="medium">
                        <strong class="ion-font-sm">Envio</strong>
                    </ion-label>
                    <ion-chip color="primary" slot="end">
                        <small>{{ service.model?.delivery }}</small>
                    </ion-chip>
                </ion-item>

                <ion-list-header>
                    <strong>Horario</strong>
                </ion-list-header>

                <ng-container *ngFor="let day of days; index as i">
                    <ion-item style="--min-height: auto;">
                        <ion-label color="medium" class="ion-my-1">
                            <strong class="ion-font-sm">{{ day }}</strong>
                        </ion-label>
                        <ion-text [color]="currentDay - 1 === i ? 'success' : 'secondary'">
                            <span class="ion-font-sm">08:00 - 15:00</span>
                        </ion-text>
                    </ion-item>
                </ng-container>
            </ion-list>
        </ion-col>
    </ion-row>

</ion-content>
